Plot HomeDocumentation
Tasks

List Tasks

Retrieves a paginated list of tasks with optional filters

GET
/v1/tasks/list

Retrieves a paginated list of tasks with optional filters

Query Parameters

publicId?string

Exact task public ID, for example PLT-123

label?string

Label name or UUID

name?string

Search by task name

description?string

Search by task description

projectName?string

Search by project name

areaName?string

Search by area name

assigneeName?string

Search by assignee name

matchMode?string

Match mode: "all" (AND) or "any" (OR)

areaId?string

Filter by area ID or handle

projectId?string

Filter by project ID or handle

parentTaskId?string

Filter by parent task ID or handle; none selects top-level tasks

assignedToId?string

Filter by assignee ID or username

status?string

Filter by status ID

priority?string

Filter by priority flag

open?string

When true, exclude tasks in a completed or cancelled stage

scheduledFrom?string

Only tasks whose schedule (startDate to dueDate) ends at or after this time. Tasks without dates are excluded. Results are ordered by due date.

scheduledBefore?string

Only tasks whose schedule (startDate to dueDate) starts before this time. Tasks without dates are excluded. Results are ordered by due date.

includeDeleted?string

Include soft-deleted tasks

includeTotal?string

Include total count in response. Consider omitting for subsequent page loads to improve performance.

includeMarkdown?string

Include description.markdown field. Omit for better performance when markdown is not needed.

expand?|||array<>

Expansion fields: "all" (full enrichment, default), "none" (IDs only), or comma-separated/repeated fields (status,area,project,assignee)

cursor?string

Cursor for pagination

offset?|

Offset for pagination

limit?integer

Number of results to return (max 100)

Response Body

application/json

curl -X GET "https://example.com/v1/tasks/list"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "dueDate": "2019-08-24T14:15:22Z",      "completedAt": "2019-08-24T14:15:22Z",      "publicId": 0,      "priority": true,      "visibility": "string",      "createdById": "e13e432a-5323-4484-a91d-b5969bc564d9",      "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",      "areaId": "ebbb2a49-d827-4796-8d8a-108c229835e9",      "statusId": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "deletedAt": "2019-08-24T14:15:22Z",      "startDate": "2019-08-24T14:15:22Z",      "assignedToId": "7a15e53b-1403-4928-9451-d7062c3a8737",      "repeatId": "cef73cf7-0158-4282-a1d8-86ad6c8f41a9",      "description": {        "html": "string",        "markdown": "string"      },      "pathId": "string",      "parentTaskId": "2506db93-67fe-4ab8-a809-f4aa6ed8a0f4",      "status": {        "id": "string",        "name": "string",        "stage": "string",        "color": "string"      },      "assignee": {        "id": "string",        "name": "string",        "email": "string",        "username": "string"      },      "area": {        "id": "string",        "name": "string",        "publicId": "str"      },      "project": {        "id": "string",        "name": "string",        "publicId": "string",        "slug": "string"      },      "labels": [        {          "id": "string",          "color": "icon-secondary",          "name": "string"        }      ],      "descriptionSnapshot": {        "descriptionStateStr": "string",        "descriptionMarkdown": "string"      },      "parent": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "dueDate": "2019-08-24T14:15:22Z",        "completedAt": "2019-08-24T14:15:22Z",        "publicId": 0,        "priority": true,        "visibility": "string",        "createdById": "e13e432a-5323-4484-a91d-b5969bc564d9",        "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",        "areaId": "ebbb2a49-d827-4796-8d8a-108c229835e9",        "statusId": "string",        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z",        "deletedAt": "2019-08-24T14:15:22Z",        "startDate": "2019-08-24T14:15:22Z",        "assignedToId": "7a15e53b-1403-4928-9451-d7062c3a8737",        "repeatId": "cef73cf7-0158-4282-a1d8-86ad6c8f41a9",        "description": {          "html": "string",          "markdown": "string"        },        "pathId": "string",        "parentTaskId": "2506db93-67fe-4ab8-a809-f4aa6ed8a0f4",        "status": {          "id": "string",          "name": "string",          "stage": "string",          "color": "string"        },        "assignee": {          "id": "string",          "name": "string",          "email": "string",          "username": "string"        },        "area": {          "id": "string",          "name": "string",          "publicId": "str"        },        "project": {          "id": "string",          "name": "string",          "publicId": "string",          "slug": "string"        },        "labels": [          {            "id": "string",            "color": "icon-secondary",            "name": "string"          }        ]      },      "subtasks": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "name": "string",          "dueDate": "2019-08-24T14:15:22Z",          "completedAt": "2019-08-24T14:15:22Z",          "publicId": 0,          "priority": true,          "visibility": "string",          "createdById": "e13e432a-5323-4484-a91d-b5969bc564d9",          "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",          "areaId": "ebbb2a49-d827-4796-8d8a-108c229835e9",          "statusId": "string",          "createdAt": "2019-08-24T14:15:22Z",          "updatedAt": "2019-08-24T14:15:22Z",          "deletedAt": "2019-08-24T14:15:22Z",          "startDate": "2019-08-24T14:15:22Z",          "assignedToId": "7a15e53b-1403-4928-9451-d7062c3a8737",          "repeatId": "cef73cf7-0158-4282-a1d8-86ad6c8f41a9",          "description": {            "html": "string",            "markdown": "string"          },          "pathId": "string",          "parentTaskId": "2506db93-67fe-4ab8-a809-f4aa6ed8a0f4",          "status": {            "id": "string",            "name": "string",            "stage": "string",            "color": "string"          },          "assignee": {            "id": "string",            "name": "string",            "email": "string",            "username": "string"          },          "area": {            "id": "string",            "name": "string",            "publicId": "str"          },          "project": {            "id": "string",            "name": "string",            "publicId": "string",            "slug": "string"          },          "labels": [            {              "id": "string",              "color": "icon-secondary",              "name": "string"            }          ]        }      ],      "dependsOn": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "name": "string",          "dueDate": "2019-08-24T14:15:22Z",          "completedAt": "2019-08-24T14:15:22Z",          "publicId": 0,          "priority": true,          "visibility": "string",          "createdById": "e13e432a-5323-4484-a91d-b5969bc564d9",          "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",          "areaId": "ebbb2a49-d827-4796-8d8a-108c229835e9",          "statusId": "string",          "createdAt": "2019-08-24T14:15:22Z",          "updatedAt": "2019-08-24T14:15:22Z",          "deletedAt": "2019-08-24T14:15:22Z",          "startDate": "2019-08-24T14:15:22Z",          "assignedToId": "7a15e53b-1403-4928-9451-d7062c3a8737",          "repeatId": "cef73cf7-0158-4282-a1d8-86ad6c8f41a9",          "description": {            "html": "string",            "markdown": "string"          },          "pathId": "string",          "parentTaskId": "2506db93-67fe-4ab8-a809-f4aa6ed8a0f4",          "status": {            "id": "string",            "name": "string",            "stage": "string",            "color": "string"          },          "assignee": {            "id": "string",            "name": "string",            "email": "string",            "username": "string"          },          "area": {            "id": "string",            "name": "string",            "publicId": "str"          },          "project": {            "id": "string",            "name": "string",            "publicId": "string",            "slug": "string"          },          "labels": [            {              "id": "string",              "color": "icon-secondary",              "name": "string"            }          ]        }      ],      "requiredBy": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "name": "string",          "dueDate": "2019-08-24T14:15:22Z",          "completedAt": "2019-08-24T14:15:22Z",          "publicId": 0,          "priority": true,          "visibility": "string",          "createdById": "e13e432a-5323-4484-a91d-b5969bc564d9",          "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",          "areaId": "ebbb2a49-d827-4796-8d8a-108c229835e9",          "statusId": "string",          "createdAt": "2019-08-24T14:15:22Z",          "updatedAt": "2019-08-24T14:15:22Z",          "deletedAt": "2019-08-24T14:15:22Z",          "startDate": "2019-08-24T14:15:22Z",          "assignedToId": "7a15e53b-1403-4928-9451-d7062c3a8737",          "repeatId": "cef73cf7-0158-4282-a1d8-86ad6c8f41a9",          "description": {            "html": "string",            "markdown": "string"          },          "pathId": "string",          "parentTaskId": "2506db93-67fe-4ab8-a809-f4aa6ed8a0f4",          "status": {            "id": "string",            "name": "string",            "stage": "string",            "color": "string"          },          "assignee": {            "id": "string",            "name": "string",            "email": "string",            "username": "string"          },          "area": {            "id": "string",            "name": "string",            "publicId": "str"          },          "project": {            "id": "string",            "name": "string",            "publicId": "string",            "slug": "string"          },          "labels": [            {              "id": "string",              "color": "icon-secondary",              "name": "string"            }          ]        }      ],      "comments": [        {          "id": "string",          "publicId": "string",          "content": "string",          "action": "string",          "actionValue": "string",          "entityId": "string",          "entityType": "string",          "createdAt": "2019-08-24T14:15:22Z",          "updatedAt": "2019-08-24T14:15:22Z",          "ownerId": "string",          "parentId": "string",          "isResolved": true,          "sourceType": null,          "sourceUrl": null,          "sourceMetadata": {},          "entityTitle": "string",          "entityUrl": "string",          "postUrl": "string",          "files": [            {              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",              "publicId": "string",              "url": "http://example.com",              "kind": "avatar",              "visibility": "public",              "name": "string",              "contentType": "string",              "size": 0,              "width": 0,              "height": 0,              "status": "pending",              "entityType": "post",              "entityId": "string",              "createdAt": "2019-08-24T14:15:22Z"            }          ],          "reactions": [            {              "id": "string",              "postId": "string",              "userId": "string",              "reaction": "string"            }          ],          "owner": {            "id": "string",            "name": "string",            "email": "string",            "username": "string"          },          "replies": [            {              "id": "string",              "publicId": "string",              "content": "string",              "action": "string",              "actionValue": "string",              "entityId": "string",              "entityType": "string",              "createdAt": "2019-08-24T14:15:22Z",              "updatedAt": "2019-08-24T14:15:22Z",              "ownerId": "string",              "parentId": "string",              "isResolved": true,              "sourceType": null,              "sourceUrl": null,              "sourceMetadata": {},              "entityTitle": "string",              "entityUrl": "string",              "postUrl": "string",              "files": [                {                  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",                  "publicId": "string",                  "url": "http://example.com",                  "kind": "avatar",                  "visibility": "public",                  "name": "string",                  "contentType": "string",                  "size": 0,                  "width": 0,                  "height": 0,                  "status": "pending",                  "entityType": "post",                  "entityId": "string",                  "createdAt": "2019-08-24T14:15:22Z"                }              ],              "reactions": [                {                  "id": "string",                  "postId": "string",                  "userId": "string",                  "reaction": "string"                }              ],              "owner": {                "id": "string",                "name": "string",                "email": "string",                "username": "string"              }            }          ],          "repliesHasMore": true        }      ]    }  ],  "nextCursor": "string",  "hasMore": true,  "total": 0}